#
# spec file for package ghc-unordered-containers
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name unordered-containers
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.2.8.0
Release:        lp150.1.8
Summary:        Efficient hashing-based container types
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-rpm-macros
%if %{with tests}
BuildRequires:  ghc-ChasingBottoms-devel
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-test-framework-devel
BuildRequires:  ghc-test-framework-hunit-devel
BuildRequires:  ghc-test-framework-quickcheck2-devel
%endif

%description
Efficient hashing-based container types. The containers have been optimized for
performance critical use, both in terms of large data quantities and high
speed.

The declared cost of each operation is either worst-case or amortized, but
remains valid even if structures are shared.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc CHANGES.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon Mar 27 2017 psimons@suse.com
- Update to version 0.2.8.0 with cabal2obs.
* Sun Jan  8 2017 psimons@suse.com
- Update to version 0.2.7.2 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.2.7.1 revision 0 with cabal2obs.
* Fri Jun 10 2016 mimi.vx@gmail.com
- update to 0.2.7.1
- remove useless _service
  * Fix linker error related to popcnt.
* Sat Feb 20 2016 mimi.vx@gmail.com
- update to 0.2.7.0
  * support criterion-1.1
  * Add unionWithKey for hash maps.
* Tue Feb 16 2016 mimi.vx@gmail.com
- update to 0.2.6.0
  * Mark several modules as Trustworthy.
  * Add Hashable instances for HashMap and HashSet.
  * Add mapMaybe, mapMaybeWithKey, update, alter, and intersectionWithKey.
  * Add roles.
  * Add Hashable and Semigroup instances.
* Tue Apr 14 2015 mimi.vx@gmail.com
- update to 0.2.5.1
  * no changelog
* Fri Sep 12 2014 peter.trommler@ohm-hochschule.de
- update to 0.2.4.0
  * no changelog
  * Haskell Platform 2014.2.0.0
* Tue Sep  2 2014 peter.trommler@ohm-hochschule.de
- regenerate spec file
* Sat Aug 23 2014 peter.trommler@ohm-hochschule.de
- enable PowerPC builds
- reorganize spec file
* Mon May  6 2013 peter.trommler@ohm-hochschule.de
- more transparent packaging (fewer macros)
* Sat Mar 23 2013 peter.trommler@ohm-hochschule.de
- update to 0.2.3.0 from upstream
- prepare for Factory submission
  * copyright notice
  * service localonly
  * expand macro in name tag
* Wed Apr 18 2012 peter.trommler@ohm-hochschule.de
- Initial packaging.
